
package de.ivu.elect.business.stimmeingabe.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;
import de.ivu.elect.business.wahl.boundary.WahlExtendedDAO;

@Stateless
public class StimmeingabePlausiKonfigurationEdit extends AbstractStimmeingabePlausiKonfigurationEdit {

  @Inject
  private transient WahlExtendedDAO wahlDAO;

  public StimmeingabePlausiKonfigurationEdit() {
    super();
  }

  @Override
  // Cf. StimmeingabePlausiKonfigurationCreate#save!!!
  public void save(StimmeingabePlausiKonfiguration stimmeingabePlausiKonfiguration) {
    stimmeingabePlausiKonfiguration.setWahl(wahlDAO.attach(stimmeingabePlausiKonfiguration.getWahl()));

    // Lokalisisierte Werte erstmal nicht speichern, sondern immer aus den Messages laden, cf. AbstractStimmeingabePlausiDefinitions#fillInStimmeingabePlausiKonfigurationValuesLocalizated.
    stimmeingabePlausiKonfiguration.setBeschreibung(null);
    stimmeingabePlausiKonfiguration.setFehlermeldungFormat(null);

    super.save(stimmeingabePlausiKonfiguration);
  }
}
